export function trim_all_array(data) {
  if (!Array.isArray(data)) return data
  for (let row of data) {
    for (let key in row) {
      if (typeof row[key] === 'string') {
        row[key] = row[key].trim()
      }
    }
  }
  return data
}
